(function(module) {
	"use strict";

	var Theme = {};

	Theme.defineWidgetAreas = function(areas, callback) {
		areas = areas.concat([
			{
				name: "Messsage du jour (gauche)",
				template: "categories.tpl",
				location: "motd-left"
			},
			{
				name: "Message du jour (droite)",
				template: "categories.tpl",
				location: "motd-right"
			},
			{
				name: "Message du jour (bas)",
				template: "categories.tpl",
				location: "motd-bottom"
			},
			{
				name: "Catergories Footer",
				template: "categories.tpl,
				location: "footer"
			},
			{
				name: "Topic Sidebar",
				template: "topic.tpl",
				location: "sidebar"
			},
			{
				name: "Topic Footer",
				template: "topic.tpl",
				location: "footer"
			}
		]);

		callback(null, areas);
	};

	module.exports = Theme;

}(module));
